Subject: Re: sed 4.2.2 hangs when passed specially crafted program

From: Jim Meyering <[email-masked]>
Date: Sun, 3 May 2015 21:57:54 -0700

tags 19827 notabug
thanks

I've just noticed that there are some bug reports that have never
reached my inbox.
The first one I've examined is https://debbugs.gnu.org/19827, which reports
that you used the afl fuzzer http://lcamtuf.coredump.cx/afl/ to find that this
command never terminates:

  echo | sed/sed 'G;D'

However, that is a legitimate program, and
with that input, it happens to specify an endless loop.
Thus, I'm marking this as "notabug" and closing the issue.
However, you are welcome to make further comments.

Thank you for helping to test GNU sed!
I'm planning to release sed-3.4 soon, so if you have more
time for testing (using the latest from git), it'd be great to
see how we're doing.